.site-footer {
  padding-block: clamp(4.5rem, 5vw, 7rem);
}
.site-footer__top {
  display: grid;
  gap: 3rem;
}
@supports (inline-size: min(14rem, 100%)) {
  .site-footer__top {
    grid-template-columns: repeat(auto-fit, minmax(min(14rem, 100%), 1fr));
  }
}
.site-footer__logo {
  display: inline-flex;
}
.site-footer__logo img {
  --size: 2rem;
  block-size: var(--size);
  inline-size: var(--size);
}
.site-footer__title {
  font-size: clamp(1.0625rem, 2vw + 1rem, 1.25rem);
  margin-block: 0 1.5rem;
}
.site-footer__navigation {
  list-style: none;
  margin: 0;
  padding: 0;
}
.site-footer__navigation > * {
  margin-block-end: 0;
  margin-block-start: 0;
}
.site-footer__navigation > * + * {
  margin-block-start: 0.5rem;
}
.site-footer__navigation a {
  color: var(--spruce-base-color-text);
  text-decoration: none;
}
.site-footer__navigation a:hover, .site-footer__navigation a:focus, .site-footer__navigation a:active, .site-footer__navigation a[aria-current=page] {
  color: var(--spruce-base-color-primary);
}
.site-footer__navigation a[aria-current=page] {
  font-weight: 700;
}
.site-footer__bottom {
  align-items: center;
  border-block-start: 1px solid var(--spruce-base-color-border);
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  justify-content: space-between;
  margin-block-start: 3rem;
  padding-block-start: 3rem;
}
.site-footer__social {
  align-items: center;
  display: flex;
  gap: 1rem;
}
.site-footer__social a {
  color: var(--spruce-base-color-heading);
}
.site-footer__social svg {
  --size: 1.25rem;
  block-size: var(--size);
  inline-size: var(--size);
}
.site-footer__copyright {
  margin-block: 0;
  margin-inline-end: auto;
}
